org.apache.sling.maven.projectsupport.bundlelist.v1_0_0

## Class StartLevel

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseStartLevel
  - - org.apache.sling.maven.projectsupport.bundlelist.v1_0_0.StartLevel

All Implemented Interfaces:
  Serializable

    public class StartLevel
    extends BaseStartLevel
    implements Serializable

Class StartLevel.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartLevel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBundle(Bundle bundle)` Method addBundle.
`List<Bundle>` `getBundles()` Method getBundles.
`void` `removeBundle(Bundle bundle)` Method removeBundle.
`void` `setBundles(List<Bundle> bundles)` Set the bundles field.

### Methods inherited from class org.apache.sling.maven.projectsupport.bundlelist.BaseStartLevel

`containsBundle, getBundle, getLevel, getStartLevel, removeBundle, setLevel, setRawLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartLevel

    public StartLevel()

### Method Detail

#### addBundle

    public void addBundle(Bundle bundle)

Method addBundle.

Parameters:
  `bundle` -

#### getBundles

    public List<Bundle> getBundles()

Method getBundles.

Specified by:
  `getBundles` in class `BaseStartLevel`
Returns:
  List

#### removeBundle

    public void removeBundle(Bundle bundle)

Method removeBundle.

Parameters:
  `bundle` -

#### setBundles

    public void setBundles(List<Bundle> bundles)

Set the bundles field.

Parameters:
  `bundles` -